Get all counters - Fabric
Get all counters
cURL
curl --request GET \
--url 'https://api.fabric.inc/v3/inventory-counters?limit=10' \
--header 'Authorization: Bearer <token>' \
--header 'x-fabric-channel-id: <x-fabric-channel-id>' \
--header 'x-fabric-tenant-id: <x-fabric-tenant-id>'
import requests
url = "https://api.fabric.inc/v3/inventory-counters?limit=10"
headers = {
"x-fabric-tenant-id": "<x-fabric-tenant-id>",
"x-fabric-channel-id": "<x-fabric-channel-id>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)
const options = {
method: 'GET',
headers: {
'x-fabric-tenant-id': '<x-fabric-tenant-id>',
'x-fabric-channel-id': '<x-fabric-channel-id>',
Authorization: 'Bearer <token>'
}
};
fetch('https://api.fabric.inc/v3/inventory-counters?limit=10', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


Expected Responses
{
"data": [
{
"code": "onHand",
"id": "38271022e832a1",
"name": "onHand"
}
],
"pagination": {
"count": 1000,
"limit": 10,
"offset": 1
}
}
{
"errors": [
{
"message": "Invalid request",
"type": "CLIENT_ERROR"
}
],
"message": "Bad request",
"type": "CLIENT_ERROR"
}
{
"message": "Unauthorized request",
"type": "CLIENT_ERROR"
}
{
"message": "Internal server error",
"type": "SERVER_ERROR"
}
Authorizations
- Authorization: Bearer authentication header of the form
Bearer <token>, where <token> is your auth token.
Headers
- x-fabric-tenant-id: A header used by fabric to identify the tenant making the request.
- x-fabric-channel-id: Identifies the sales channel where the API request is being made.